<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.xrtymis.mapper.TfYwpnGatherrecordMapper">

    <resultMap id="tfYwpnGatherrecordMap" type="com.tofly.xrtymis.entity.TfYwpnGatherrecord">
        <id property="id" column="ID"/>
        <result property="gatherType" column="GATHER_TYPE"/>
        <result property="gatherNum" column="GATHER_NUM"/>
        <result property="gatherLen" column="GATHER_LEN"/>
        <result property="tableName" column="TABLE_NAME"/>
        <result property="gatherId" column="GATHER_ID"/>
        <result property="gatherTime" column="GATHER_TIME"/>
        <result property="createTime" column="CREATE_TIME"/>
        <result property="createUser" column="CREATE_USER"/>
        <result property="state" column="STATE"/>
        <result property="isread" column="ISREAD"/>
        <result property="ispublish" column="ISPUBLISH"/>
        <result property="auditNotes" column="AUDIT_NOTES"/>
        <result property="auditUser" column="AUDIT_USER"/>
        <result property="auditTime" column="AUDIT_TIME"/>
        <result property="filePath" column="FILE_PATH"/>
        <result property="objCode" column="OBJ_CODE"/>
        <association property="createUserName" column="CREATE_USER" select="com.tofly.baseapi.mapper.ToflyCodeCommonMapper.getUserName" />
        <association property="auditUserName" column="AUDIT_USER" select="com.tofly.baseapi.mapper.ToflyCodeCommonMapper.getUserName" />
        <!--<association property="createUserName"  column="CREATE_USER" select="com.tofly.baseapi.mapper.ToflyCodeCommonMapper.getUserName" ></association>-->
    </resultMap>

    <select id="getPage" resultType="com.tofly.xrtymis.custom.vo.TfYwpnGatherrecordVO" >
        SELECT * FROM TF_YWPN_GATHERRECORD_W ${ew.customSqlSegment}
    </select>

</mapper>
